Subject: Re: [PATCH 2/2] talitos: Freescale integrated security engine (SEC) driver

From: Evgeniy Polyakov <[email-masked]>
Date: Mon, 2 Jun 2008 21:57:51 +0400

On Mon, Jun 02, 2008 at 11:50:21AM -0500, Kim Phillips ([email-masked]) wrote:
> > But can it be changed? You write to it without lock, but read under the
> > one (different for each channel though), so it attracted attention.
> 
> can you point where in the code your concern is?

talitos_submit() writes to hdr (initially I think?) without locks.
It is read in flush_channel() under tail lock, but then it is dropped,
so I rised a question, if it can be modified during that time, since if
it can, status value, calculated from it, can be different and thus
error check result can be false. Or this is not an issue?

-- 
	Evgeniy Polyakov